
QGIS Application - Bug report #7043

Tiled WMS layer transparency issue

2013-01-24 09:09 AM - dr -

Status: Closed

Priority: High

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:master Regression?: No

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 16131

Description

If fill Tile size fields in WMS layer settings then QGIS sends WMS requests wthout GET parameter TRANSPARENT=TRUE. For

example:

Without Tile size settings: 

127.0.0.1 - - [24/Jan/2013:23:01:27 +0700] "GET

/cgi-bin/mapserv?map=/wms.map&&SERVICE=WMS&VERSION=1.3.0&REQUEST=GetMap&BBOX=3277524.1076809586957097,8325115.5015538614243269,3420436.06996136158

097,8325115.5015538614243269,3420436.0699613615870476,8451921.5514542907476425&CRS=EPSG:3857&WIDTH=616&HEIGHT=546&LAYERS=building&STYLES=&FORMAT=image/png&DPI=96&MAP_RESOLUTION=96&FORMAT_OPTIONS=dpi:96&TRANSPARENT=TRUE HTTP/1.1" 200 70442 "-" "Moz

6&HEIGHT=546&LAYERS=building&STYLES=&FORMAT=image/png&DPI=96&MAP_RESOLUTION=96&FORMAT_OPTIONS=dpi:96&TRANSPARENT=TRUE HTTP/1.1" 200 70442 "-" "Mozilla/5.0" 


S=dpi:96&TRANSPARENT=TRUE HTTP/1.1" 200 70442 "-" "Mozilla/5.0" 

and

With Tile size (256x256):

127.0.0.1 - - [24/Jan/2013:23:02:26 +0700] "GET

/cgi-bin/mapserv?map=/wms.map&&SERVICE=WMS&VERSION=1.3.0&REQUEST=GetMap&WIDTH=256&HEIGHT=256&LAYERS=building&STYLES=&FORMAT=image/png&CRS=EPSG:3

ERS=building&STYLES=&FORMAT=image/png&CRS=EPSG:3857&BBOX=3379943.7016588789410889,8379144.3113739937543869,3381569.4094997984357178,8380770.0192149132490158 HTTP/1.1" 200 19461 "-" "Mozilla/5.0" 


7543869,3381569.4094997984357178,8380770.0192149132490158 HTTP/1.1" 200 19461 "-" "Mozilla/5.0" 

Related issues:

Duplicates QGIS Application - Bug report # 3981: WMS layer with tile looses t... Closed 2011-06-12

History

#1 - 2013-01-24 09:20 AM - Giovanni Manghi

- Status changed from Open to Feedback

should be duplicate of #3981

#2 - 2013-01-24 09:23 AM - dr -

- Resolution set to duplicate

#3 - 2013-01-24 09:23 AM - dr -
- Status changed from Feedback to Closed
